Summary: An IMAP webmail client.
BuildArch: noarch
Name: imp
Version: 2.0.11
Release: 1
Group: Applications/Internet
Requires: horde >= 1.0.7, mod_php3 >= 3.0.7, mod_php3-imap, webserver 
Copyright: GPL
Source: ftp://ftp.horde.org/imp/%{name}-%{version}.tar.gz
Source1: imp-defaults.php3
Source2: imp-servers.php3
Buildroot: /var/tmp/%{name}-buildroot
URL: http://www.horde.org/imp

%description
IMP (IMAP webMail Program) is the Horde Project's IMAP webmail client.
IMP is a set of PHP3 scripts that implement an IMAP-based webmail
system.  When installed on a server which supports IMAP and PHP3, IMP
allows users with accounts on the system to check their mail over the
Web.

%prep
%setup -q

%build
cd lib/src
./build.pl

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/horde/imp
mkdir -p $RPM_BUILD_ROOT/usr/share/horde/imp
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
	
cp -R * $RPM_BUILD_ROOT/usr/share/horde/imp 

cd $RPM_BUILD_ROOT
chmod -R 555 usr/share/horde/imp/lib/*.lib
mv usr/share/horde/imp/config/{*.php3,*.txt,*.html} etc/horde/imp  
mv usr/share/horde/imp/config/scripts/impsetup.pl usr/sbin/impconfig 
cp %{SOURCE1} etc/horde/imp/defaults.php3
cp %{SOURCE2} etc/horde/imp/servers.php3

# Moving docs
mv usr/share/horde/imp/config/examples usr/doc/%{name}-%{version}
mv usr/share/horde/imp/config/README usr/doc/%{name}-%{version}/examples/README.config
mv usr/share/horde/imp/config/scripts usr/doc/%{name}-%{version}/examples
mv usr/share/horde/imp/{README,TODO,INSTALL,CREDITS,DATABASE,FAQ,CHANGES,COPYING,HELP} usr/doc/%{name}-%{version}

rm -fr usr/share/horde/imp/config/*
for i in etc/horde/imp/* ; do
  ln -s ../../../../../$i usr/share/horde/imp/config/
done

chmod 755 etc/horde/imp/*

%post
perl -pi -e "s|LOCALHOST|`hostname -f`|g;s|DOMAINNAME|`hostname -d`|g" \
	/etc/horde/imp/defaults.php3 /etc/horde/imp/servers.php3


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc /usr/doc/%{name}-%{version}
/usr/sbin/impconfig
%attr(-,nobody,root) /usr/share/horde/imp/
%config /etc/horde/imp/


%changelog
* Wed Jan 12 2000 Ngo Than <than@redhat.de>
- update to 2.0.11

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- updated to 2.0.10
- built for Powertools

* Wed Jun 16 1999 Preston Brown <pbrown@redhat.com>
- incorporate ideas from gomez/costa with our own more conservative methods
